OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ConservativeRaster

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVConservativeRaster :: MonadIO m => m Bool
- gl_NV_conservative_raster :: Bool
- pattern GL_CONSERVATIVE_RASTERIZATION_NV :: GLenum
- pattern GL_MAX_SUBPIXEL_PRECISION_BIAS_BITS_NV :: GLenum
- pattern GL_SUBPIXEL_PRECISION_BIAS_X_BITS_NV :: GLenum
- pattern GL_SUBPIXEL_PRECISION_BIAS_Y_BITS_NV :: GLenum
- glSubpixelPrecisionBiasNV :: MonadIO m => GLuint -> GLuint -> m ()

# Extension Support

glGetNVConservativeRaster :: MonadIO m => m Bool Source #

Is the NV_conservative_raster extension supported?

gl_NV_conservative_raster :: Bool Source #

Is the NV_conservative_raster extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVConservativeRaster` in those cases instead.

# Enums

pattern GL_CONSERVATIVE_RASTERIZATION_NV :: GLenum Source #

pattern GL_MAX_SUBPIXEL_PRECISION_BIAS_BITS_NV :: GLenum Source #

pattern GL_SUBPIXEL_PRECISION_BIAS_X_BITS_NV :: GLenum Source #

pattern GL_SUBPIXEL_PRECISION_BIAS_Y_BITS_NV :: GLenum Source #

# Functions

glSubpixelPrecisionBiasNV Source #

Arguments

:: MonadIO m |
=> GLuint | `xbits`.
-> GLuint | `ybits`.
-> m () |